Subject: Re: [TOOLS-DEVELOPMENT] Tools Team Report -- 28 December 2018

From: Russ Housley <[email-masked]>
Date: Wed, 2 Jan 2019 15:01:30 -0500

A quick update on the IMAP server below.

Russ

> On Dec 28, 2018, at 1:06 PM, Russ Housley <[email-masked]> wrote:
> 
> Tools Team Report -- 28 December 2018
> 
> 1. Datatracker Projects
>   - The merge plan was recently updated.
>     -- See http://trac.tools.ietf.org/tools/ietfdb/wiki/MergePlan
>     -- One thing to highlight is the recent addition of commands that
>        will make it easier to load some portions of the database from a
>        backup copy.  These commands will make it easier to recover in
>        the future from "over-eager" record deletion.
>   - More that 1100 old RFCs show no authors in the Datatracker.  This
>     situation is because Datatracker is managing workflow, not trying
>     to provide history from the beginning of time.  For RFCs prior to
>     about RFC 3000, the data is from scraping the RFC files, which are
>     in mant different formats.  Manual clean up would requires a good
>     bit of time, and there are several cases where there is no right
>     answer, such as RFC 2134 and RFC 2319.  This leads to inaccurate
>     statistics being displayed by the Datatracker.  As a result, a
>     disclaimer will be added to the statistics pages, such as
>     https://datatracker.ietf.org/stats/document/authors/?type=rfc.
> 
> 2. Community & Other Projects
>   - The Tools Team is working to discontinue MHonArc email archives.
>     This will allow all of the mail-related tools to work from one
>     copy of the archives in maildir format.  Mail list discussion on
>     the removal of the MHonArc email archives raised three points:
>     -- The mailarch application serves the plaintext version of a
>        multipart MIME messages; sometimes the HTML version is more
>        useful, but it can also be an attack vector.
>     -- The obsolete IE8 browser is not displaying mail archive
>        content well.
>     -- The mail archive tool allows export of selected messages in
>        either maildir or mbox format after login.  The login is
>        required because multiple anonymous large exports creates a
>        performance degradation.  It might be possible to allow
>        export of a small number of messages without being login in
>        the future.
> 
> 3. RFC Services Projects
>   - RFC Format contracts are on schedule:
>     -- IDnits
>     -- Publication Formatter
>     -- Text Submission
>     -- RFClint
>     -- SVGcheck
>     -- XMLdiff
>   - These are all on schedule for initial versions by the end of 2018.
> 
> 4. Server Infrastructure
>   - The custom DMARC-handling software was deployed for all mail lists
>     in June 2018, but there is a desire to move away from the custom
>     software to ARC.  The ARC software cannot be configured to handle
>     just a few of our mail lists.  Requirements were provided to the
>     ARC developers, but so far, they have not offered a release date.
>     Alexey offered to help get a response from the developers.
> 
> 5. YANG Catalog
>   - Planning for the operation of the yangcatalog.org to be transferred
>     to the IETF Secretariat is underway.  Money for the transition is
>     part of the IETF LLC budget for 2019.  The current expectation is
>     that will happen shortly after the new year.
>     -- The open source code for yangcatalog.com uses the Apache 2.0
>        License.  All other projects use the  Simplified BSD License.
>        The IETF Trust is willing to proceed with this project under the
>        Apache 2.0 License.
>     -- The registration for yangcatalog.com needs to be transferred to
>        the IETF Trust before the site can move to a tools-team-driven
>        maintenance model.
>     -- Requirements for new features are being gathered.  This will
>        lead to a small project in early 2019.
> 
> 6. Other Business
>   - The IMAP server code that is provided by ISODE does not handle
>     changed usernames well.  A new release fixes this issue, and it
>     is being tested by the Secretariat.  If all goes well, it will be
>     deployed in January 2019.

The update was installed prior to the holiday break.  The bug was fixed, and the person reporting the bug has confirmed that it is working properly for them.

>   - A draft Statement of Work for enhancements to the Datatracker
>     meeting scheduling tools is being developed.  We expect to put it
>     out for bids in early 2019.
>   - We are preparing the RFC Production Center code for publication as
>     open source.  Robert is writing a draft of Statement of Work for a
>     security review of these tools in preparation for them becoming
>     public.
>